000036956 - How do I resolve a looping installation of RSA Identity Governance & Lifecycle?

Document created by RSA Customer Support Employee on Dec 10, 2018
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000036956
Applies ToRSA Product Set: RSA Identity Governance & Lifecycle
RSA Product/Service Type: Appliance
RSA Version/Condition: 7.x
O/S Version: SUSE Linux
IssueWhile installing RSA Identity Governance & Lifecycle 7.x on SUSE 11 SP4, the installation process is suddenly looping as shown on the tail end of /tmp/aveksa_install.log:
  

cluvfy again to check environment after fixup
   Oracle environment check has found a fixable problem with the environment
   Trying fixup script at: /tmp/CVU_12.1.0.1.0_oracle/runfixup.sh
   Fixup script /tmp/CVU_12.1.0.1.0_oracle/runfixup.sh has finished running
   Please press enter/return to check environment again...
   Oracle environment check has found a fixable problem with the environment
   Trying fixup script at: /tmp/CVU_12.1.0.1.0_oracle/runfixup.sh
   Fixup script /tmp/CVU_12.1.0.1.0_oracle/runfixup.sh has finished running
   Please press enter/return to check environment again...
Running cluvfy again to check environment after fixup


When examining the /tmp/aveksa_install.log, the installation keeps failing due to a missing required package or a corrupted package (that is, libstdc++-devel(x86_64) as indicated by the error below:
 


Check: Package existence for "libstdc++-devel(x86_64)"
Node Name Available Required Status
------------ ------------------------ ------------------------ ----------
rsagyl71 missing libstdc++-devel(x86_64)-4.3 failed
Result: Package existence check failed for "libstdc++-devel(x86_64)"

ResolutionTo verify if the package is present, run the command  rpm -qa | grep -i <missing package>.  For example,



rpm -qa | grep -i libstdc



To resolve the looping installation issue:
  1. If the package is present, it may be corrupted, so you must uninstall the current version then download and install its newest version. 
  2. If the package is missing, download and install its newest version. 
  3. Run the RSA Identity Governance & Lifecycle 7.x installation again.

Attachments

    Outcomes